## org.eclipse.amp.amf.ide
Class LaunchConfigTab.WidgetListener

    java.lang.Object
      org.eclipse.amp.amf.ide.LaunchConfigTab.WidgetListener

Enclosing class:
  LaunchConfigTab

    private class LaunchConfigTab.WidgetListener

extends java.lang.Object

Constructor Summary
`private` `LaunchConfigTab.WidgetListener()`

Method Summary
`void` `modifyText(ModifyEvent e)`
`void` `widgetDefaultSelected(SelectionEvent e)`
`void` `widgetSelected(SelectionEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LaunchConfigTab.WidgetListener

    private LaunchConfigTab.WidgetListener()

Method Detail

### modifyText

    public void modifyText(ModifyEvent e)

### widgetDefaultSelected

    public void widgetDefaultSelected(SelectionEvent e)

### widgetSelected

    public void widgetSelected(SelectionEvent e)

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors